Skip to main content
GET
Retrieve RFI

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

The value set to the connected account's ID. More information at List Connected Accounts

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"

Response

200 - application/json

OK - Successfully retrieved an RFI.

account_id
string

A unique identifier of the account.

Example:

"f5bb6498-552e-40a5-b14b-616aa04ac1c1"

rfi_id
string

A unique identifier of the RFI.

Example:

"f846c1c3-8e8e-4560-b1a8-5318e858df1c"

status
enum<string>

The current status of the RFI.

  • ACTION_REQUIRED: An answer is required from you.
  • SUBMITTED_PENDING: An answer has been submitted and is under review.
  • APPROVED: The submitted answer has been approved.
  • REJECTED: The submitted answer has been rejected; further action may be required.
Available options:
SUBMITTED_PENDING,
REJECTED,
APPROVED,
ACTION_REQUIRED
Example:

"SUBMITTED_PENDING"

create_time
string

Creation time of the RFI.

Example:

"2024-11-08T17:17:32+08:00"

update_time
string

Last updated time of the RFI.

Example:

"2024-11-09T17:17:32+08:00"

request
object[]

The list of questions raised in this RFI and any answers already submitted.